# @mojoio/letterxpress
an unofficial API package for the letterxpress API

## Availabililty and Links
* [npmjs.org (npm package)](https://www.npmjs.com/package/@mojoio/letterxpress)
* [gitlab.com (source)](https://gitlab.com/mojoio/letterxpress)
* [github.com (source mirror)](https://github.com/mojoio/letterxpress)
* [docs (typedoc)](https://mojoio.gitlab.io/letterxpress/)

## Status for master
[![build status](https://gitlab.com/mojoio/letterxpress/badges/master/build.svg)](https://gitlab.com/mojoio/letterxpress/commits/master)
[![coverage report](https://gitlab.com/mojoio/letterxpress/badges/master/coverage.svg)](https://gitlab.com/mojoio/letterxpress/commits/master)
[![npm downloads per month](https://img.shields.io/npm/dm/@mojoio/letterxpress.svg)](https://www.npmjs.com/package/@mojoio/letterxpress)
[![Known Vulnerabilities](https://snyk.io/test/npm/@mojoio/letterxpress/badge.svg)](https://snyk.io/test/npm/@mojoio/letterxpress)
[![TypeScript](https://img.shields.io/badge/TypeScript->=%203.x-blue.svg)](https://nodejs.org/dist/latest-v10.x/docs/api/)
[![node](https://img.shields.io/badge/node->=%2010.x.x-blue.svg)](https://nodejs.org/dist/latest-v10.x/docs/api/)
[![JavaScript Style Guide](https://img.shields.io/badge/code%20style-prettier-ff69b4.svg)](https://prettier.io/)

## Usage

Use TypeScript for best in class intellisense.

letterxpress implements the LXP API documented here: [LXP API Documentation](https://www.letterxpress.de/briefe-uebertragen/api)

```typescript
import * as letterxpress from '@mojoio/letterxpress'

const account = new letterxpress.LetterXpressAccount({
  email: 'myemail@example.com',
  apiToken: 'abcdefghijklmnop1234567890'
})
```

## Contribution

We are always happy for code contributions. If you are not the code contributing type that is ok. Still, maintaining Open Source repositories takes considerable time and thought. If you like the quality of what we do and our modules are useful to you we would appreciate a little monthly contribution: You can [contribute one time](https://lossless.link/contribute-onetime) or [contribute monthly](https://lossless.link/contribute). :)

For further information read the linked docs at the top of this readme.

> MIT licensed | **&copy;** [Lossless GmbH](https://lossless.gmbh)
| By using this npm module you agree to our [privacy policy](https://lossless.gmbH/privacy)

[![repo-footer](https://lossless.gitlab.io/publicrelations/repofooter.svg)](https://maintainedby.lossless.com)
